---
- name: PostgreSQL for Kubernetes
  ansible.posix.firewalld:
    rich_rule: "rule family=ipv4 source address={{ k8s_ip_range }} service name=postgresql accept"
    permanent: true
    immediate: true
    state: enabled
    zone: "{{ firewalld_zone }}"
  when: db_from_k8s is defined and db_from_k8s
